@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.3
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*==================================================
　ハンバーガーメニュー5-2-9 3本線がジャンプして×に
===================================*/

/*ボタン外側※レイアウトによってpositionや形状は適宜変更してください*/
.openbtn{
/*ボタン内側の基点となるためrelativeを指定。
追従するナビゲーションの場合はfixed＋top、rightといった位置をセットで指定*/
	position: fixed;
	z-index: calc(infinity);/*常に最前面に出す*/
	top: 15px;
	left: 15px;
	background:#fffbf9;
	cursor: pointer;
    width: 50px;
    height:50px;
	border-radius: 5px;
	overflow: hidden;/*ジャンプしてはみ出た要素を消す*/
}
	
/*ボタン内側*/

.openbtn .openbtn-area{
    transition: all .4s;/*アニメーションの設定*/
}

.openbtn span{
    display: inline-block;
    transition: all .4s;/*アニメーションの設定*/
    position: absolute;
    left: 14px;
    height: 3px;
    border-radius: 2px;
	background: #461e00;
  	width: 45%;
  }


.openbtn span:nth-of-type(1) {
	top:15px;	
}

.openbtn span:nth-of-type(2) {
	top:23px;
}

.openbtn span:nth-of-type(3) {
	top:31px;
}


/*activeクラスが付与されると .openbtn-areaが360度回転し、
その中の線のtopの位置や形状が変化して×に*/

.openbtn.active .openbtn-area{
	transform: rotateX(360deg);
}

.openbtn.active span:nth-of-type(1) {
    top: 18px;
    left: 18px;
    transform: translateY(6px) rotate(-135deg);
    width: 30%;
}

.openbtn.active span:nth-of-type(2) {
	opacity: 0;
}

.openbtn.active span:nth-of-type(3){
    top: 30px;
    left: 18px;
    transform: translateY(-6px) rotate(135deg);
    width: 30%;
}

/*========= ナビゲーションのためのCSS ===============*/

#g-nav{
    /*position:fixed;にし、z-indexの数値を大きくして前面へ*/
    position:fixed;
    z-index: 999;
    /*ナビのスタート位置と形状*/
	top:0;
    left: -120%;
	width:100%;
    height: 100vh;/*ナビの高さ*/
	background:#fffbf9;
    /*動き*/
	transition: all 0.6s;
}

/*アクティブクラスがついたら位置を0に*/
#g-nav.panelactive{
    left: 0;
}


/*ナビゲーションの縦スクロール*/
#g-nav.panelactive #g-nav-list{
    /*ナビの数が増えた場合縦スクロール*/
    position: fixed;
    z-index: 999; 
    width:100%;
    height: 100vh;/*表示する高さ*/
    overflow: auto;
    -webkit-overflow-scrolling: touch;
}

/*ナビゲーション*/
#g-nav ul {
    /*ナビゲーション天地中央揃え*/
    position: absolute;
    z-index: 999;
    top:50%;
    left:50%;
    transform: translate(-50%,-50%);
}

/*リストのレイアウト設定*/

#g-nav li{
	list-style: none;
    text-align: center; 
}

#g-nav li a{
	color: #333;
	text-decoration: none;
	padding:10px;
	display: block;
	text-transform: uppercase;
	letter-spacing: 0.1em;
	font-weight: bold;
}

/*ヘッダーメニューを消す*/
/* #header-container {
	display: none;
} */

/*ランディングページ用トップ画像を画面いっぱいにする*/
#content-top,
#content-top-in{
	width: 100vw;
	margin: 0;
}

#media_image-2{
	margin: 0;
}

.page .content {
	margin: -10px; 
}

/*フロント固定ページのタイトル、シェアボタン、
 * フォローボタン、投稿日、更新日、投稿者名を
 * まとめて非表示*/
.entry-title,
.home.page .sns-follow,
.home.page .date-tags,
.author-info{
  display: none;
}



/*必要ならばここにコードを書く*/

/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1023px以下*/
@media screen and (max-width: 1023px){
  /*必要ならばここにコードを書く*/
}

/*834px以下*/
@media screen and (max-width: 834px){
  /*必要ならばここにコードを書く*/
	#g-nav.panelactive #g-nav-list{
    /*ナビの数が増えた場合縦スクロール*/
    width:100%;
   }

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
}
